[Zonemaster-devel] Database questions

Mats Dufberg mats.dufberg at iis.se
Mon Oct 3 10:16:31 UTC 2016


The backed supports SQLite, too. E.g. see https://github.com/dotse/zonemaster-backend/issues/164


If we support many version of the database engines then the number of combinations (OS, OS version, database engine and database engine version) will be very high.

If an OS comes with a specific version of PostgreSQL, MySQL and SQLite, respectively, can we then limit the support to that version of the database engine?


Mats

---
Mats Dufberg
DNS Specialist, IIS
Mobile: +46 73 065 3899
https://www.iis.se/en/
 

-----Original Message-----
From: <zonemaster-devel-bounces at lists.iis.se> on behalf of Mattias Päivärinta <mattias.paivarinta at iis.se>
Date: Monday 3 October 2016 at 11:13
To: "zonemaster-devel at lists.iis.se" <zonemaster-devel at lists.iis.se>
Subject: [Zonemaster-devel] Database questions

Hello everybody!

I'm trying to understand our database support and I've got two questions.

We support MySQL and PostgreSQL, right? There's also some Sqlite code in the
repository. What's the status of this code? Do we support it?

Is PostgreSQL 9.3 the lowest minor version supported? CentOS 7 only supports
PostgreSQL 9.2 out of the box. Do we support PostgreSQL on CentOS 7? If so we
should either make a compatible database setup script or describe a PostgreSQL
9.3 installation procedure like what's done for MySQL.

/Mattias
_______________________________________________
Zonemaster-devel mailing list
Zonemaster-devel at lists.iis.se
http://lists.iis.se/cgi-bin/mailman/listinfo/zonemaster-devel




More information about the Zonemaster-devel mailing list